package agilpizza.dao;

import java.util.ArrayList;
import java.util.List;

import agilpizza.modelo.Categoria;
import agilpizza.modelo.Pizza;

public class PizzaDAO {
	
	private List<Pizza> pizzasTradicionais;
	
	public PizzaDAO(){
		CategoriaDAO categoriaDAO = CategoriaDAO.getCategoriaDAO();
		Categoria queijos = categoriaDAO.buscaCategoria("Queijos");
		Categoria carnes = categoriaDAO.buscaCategoria("Carnes");
		Categoria vegetais = categoriaDAO.buscaCategoria("Vegetais");
		Categoria outros = categoriaDAO.buscaCategoria("Outros");
		
		pizzasTradicionais = new ArrayList<Pizza>();
		
		Pizza p = new Pizza("Muzzarella");
		p.adicionaIngrediente(queijos.buscaIngrediente("Muzzarela"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Portuguesa");
		p.adicionaIngrediente(queijos.buscaIngrediente("Muzzarela"));
		p.adicionaIngrediente(carnes.buscaIngrediente("Presunto"));
		p.adicionaIngrediente(outros.buscaIngrediente("Ovo"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Vegetariana");
		p.adicionaIngrediente(queijos.buscaIngrediente("Muzzarela"));
		
		pizzasTradicionais.add(p);
		
		p = new Pizza("Napoli");
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(outros.buscaIngrediente("Azeitonas Pretas"));
		p.adicionaIngrediente(outros.buscaIngrediente("Sálvia"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Toscana");
		p.adicionaIngrediente(queijos.buscaIngrediente("Muzzarela"));
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(outros.buscaIngrediente("Azeitonas Pretas"));
		p.adicionaIngrediente(carnes.buscaIngrediente("Lingüiça toscana moída"));
		p.adicionaIngrediente(outros.buscaIngrediente("Cebola"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Catupiry");
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(queijos.buscaIngrediente("Catupiry"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Quatro Queijos");
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(queijos.buscaIngrediente("Catupiry"));
		p.adicionaIngrediente(queijos.buscaIngrediente("Muzzarela"));
		p.adicionaIngrediente(queijos.buscaIngrediente("Parmesão"));
		p.adicionaIngrediente(queijos.buscaIngrediente("Gorgonzola"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Calabresa");
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(carnes.buscaIngrediente("Calabresa"));
		p.adicionaIngrediente(outros.buscaIngrediente("Cebola"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Champignon");
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(vegetais.buscaIngrediente("Champignon"));
		p.adicionaIngrediente(outros.buscaIngrediente("Cebola"));
		pizzasTradicionais.add(p);
		
		p = new Pizza("Aliche");
		p.adicionaIngrediente(outros.buscaIngrediente("Molho de Tomate"));
		p.adicionaIngrediente(carnes.buscaIngrediente("Aliche"));
		pizzasTradicionais.add(p);
	}

	public List<Pizza> buscaPizzasTradicionais() {
		return pizzasTradicionais;
	}


}
